/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout';
// 政策管理
const nestedRouter = {
  path: '/policy',
  component: Layout,
  redirect: 'noRedirect',
  meta: { title: '政策管理' },
  children: [
    {
      path: 'library',
      component: resolve => require(['@/views/policy/library/index'], resolve),
      name: 'library',
      meta: { title: '政策库' }
    },
    {
      path: 'add',
      component: resolve => require(['@/views/policy/library/add'], resolve),
      name: 'add',
      meta: { title: '政策库' },
      hidden: true
    },
    {
      path: 'tag',
      component: resolve => require(['@/views/policy/tag/index'], resolve),
      name: 'tag',
      meta: { title: '政策标签' }
    }
  ]
};

export default nestedRouter;
