/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout';
// 技术转移
const nestedRouter = {
  path: '/technology',
  component: Layout,
  redirect: 'noRedirect',
  meta: { title: '技术转移' },
  children: [
    {
      path: 'demand',
      component: resolve =>
        require(['@/views/technology/demand/index'], resolve),
      name: 'demand',
      meta: { title: '企业需求' }
    },
    {
      path: 'addDemand',
      component: resolve => require(['@/views/technology/demand/add'], resolve),
      name: 'addDemand',
      meta: { title: '企业需求' },
      hidden: true
    },
    {
      path: 'achievement',
      component: resolve =>
        require(['@/views/technology/achievement/index'], resolve),
      name: 'achievement',
      meta: { title: '科技成果' }
    },
    {
      path: 'addAchievement',
      component: resolve =>
        require(['@/views/technology/achievement/add'], resolve),
      name: 'addAchievement',
      meta: { title: '科技成果' },
      hidden: true
    }
  ]
};

export default nestedRouter;
